#include "linked-list.h"
#include <stdlib.h>

LINKED_LIST_t* LINKED_LIST_new(void* data, LINKED_LIST_t* next) {
	LINKED_LIST_t* node = malloc(sizeof(LINKED_LIST_t));
	node->data = data;
	node->next = next;
	return node;
}

void LINKED_LIST_delete(LINKED_LIST_t* node) {
	if(node != NULL) {
		LINKED_LIST_delete(node->next);
		free(node);
	}	
}

